summaryrefslogtreecommitdiffstats
path: root/utils
diff options
context:
space:
mode:
authorDavid Sommerseth <davids@redhat.com>2009-06-11 16:06:28 +0200
committerDavid Sommerseth <davids@redhat.com>2009-06-11 16:06:28 +0200
commit48725333d5cfbe44194ed34f20223cad74c6e538 (patch)
tree784712521b72626a4643632d76ab5d366fd88132 /utils
parent2a5a2f697a60bbfe30102d37121227ae7dad5c93 (diff)
downloadpython-dmidecode-48725333d5cfbe44194ed34f20223cad74c6e538.tar.gz
python-dmidecode-48725333d5cfbe44194ed34f20223cad74c6e538.tar.xz
python-dmidecode-48725333d5cfbe44194ed34f20223cad74c6e538.zip
Added utility to simply change the version number
This script will update all needed files at once
Diffstat (limited to 'utils')
-rwxr-xr-xutils/set_version53
1 files changed, 53 insertions, 0 deletions
diff --git a/utils/set_version b/utils/set_version
new file mode 100755
index 0000000..2e23428
--- /dev/null
+++ b/utils/set_version
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+if [ $# != 1 ]; then
+ echo "Usage: $0 <new version number>"
+ exit 1
+fi
+
+if [ ! -d ./src -a ! -f redhat.spec ]; then
+ echo "Cannot find the ./src directory or the ./redhat.spec file"
+ echo "Are you in the project root directory?"
+ exit 2
+fi
+
+NEW_VERSION=$1
+OLD_VERSION=$(cd src;python -c "from setup_common import *; print get_version();")
+
+cat <<EOF
+
+ **
+ ** Changing version number
+ **
+
+ Are you sure you want to change the version number?
+
+ From: ${OLD_VERSION}
+ To: ${NEW_VERSION}
+
+EOF
+echo -n " Please confirm: (yes/no) "
+read conf
+
+case $conf in
+ yes|YES)
+ echo
+ echo " ** Updating src/version.h"
+ printf ",s/^#define VERSION \".*\"/#define VERSION \"${NEW_VERSION}\"/\nw\n" | ed src/version.h 2>/dev/null
+
+ echo " ** Updating redhat.spec"
+ printf ",s/^Version: .*/Version: ${NEW_VERSION}/\nw\n" | ed redhat.spec 2>/dev/null
+
+ echo
+ echo " ** git add src/version.h redhat.spec"
+ git add src/version.h redhat.spec
+ echo
+ ;;
+ *)
+ echo
+ echo
+ echo " ** Not confirmed. Aborting."
+ echo
+ ;;
+esac
+